summaryrefslogtreecommitdiffstats
path: root/deps/OpenAL
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-01-09 00:06:49 +0100
committer Eric Hameleers <alien@slackware.com>2015-01-09 00:06:49 +0100
commitda1be5a21ba06235b67a999f696ec66e35dc17a1 (patch)
tree6df637d821a6ac0ad65f8caaf967ea2a6956a862 /deps/OpenAL
parentb1b35d20ce6b70330b23a9d056dcb44b58795bd6 (diff)
downloadktown-da1be5a21ba06235b67a999f696ec66e35dc17a1.tar.gz
ktown-da1be5a21ba06235b67a999f696ec66e35dc17a1.tar.xz
Prepare for new KDE 5: Frameworks 5.6.0, Plasma 5.1.2, Applications 14.12.0.
KDE 5_1501 ========== This is going to be KDE 5 for Slackware-current, composed of Frameworks 5.6.0, Plasma 5.1.2 and Applications 14.12.0. Note that there is still a lot of KDE 4 stuff in here, which is necessary to support all the Applications that have not yet been ported to KDE Frameworks 5. The Applications 15.04 (march 2015) release should offer a lot more KF5 ports. Preliminary build procedure (not verified 100% yet): ---------------------------------------------------- - (crude) get rid of Slackware's KDE: removepkg /var/log/packages/*-4.10.5-* - build all the deps using "updates.SlackBuild" script in the "deps/" directory - note that extra-cmake-modules is required here as well as when building the frameworks, so I just copied it from frameworks to deps. - logoff/login to activate Qt5 profile script. - removepkg akonadi-qt5 or else kdepimlibs-4.14.3 picks up Qt5 dependencies and its compilation will fail as a result - build all the KDE 4 stuff in the "kde/" directory, using "./KDE.SlackBuild kde libs kdebase:nepomuk-core kdepimlibs kdebase kdebindings kdebase:kde-workspace k depim extragear" - installpkg akonadi-qt5 - build the remaining KDE 5 stuff in the "kde/" directory, using "./KDE.SlackBui ld frameworks plasma plasma-extra polkit-kde applications" - build kdei ============================================================================== Eric Hameleers / alien at slackware dot com / 09-jan-2015
Diffstat (limited to 'deps/OpenAL')
-rwxr-xr-xdeps/OpenAL/OpenAL.SlackBuild12
1 files changed, 6 insertions, 6 deletions
diff --git a/deps/OpenAL/OpenAL.SlackBuild b/deps/OpenAL/OpenAL.SlackBuild
index 138dc73..28c42f6 100755
--- a/deps/OpenAL/OpenAL.SlackBuild
+++ b/deps/OpenAL/OpenAL.SlackBuild
@@ -1,5 +1,6 @@
#!/bin/sh
-# Copyright 2012, 2013, 2014 Eric Hameleers, Eindhoven, NL
+# Copyright 2014 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013, 2014, 2015 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -24,7 +25,7 @@
PKGNAM=OpenAL
SRCNAM=openal-soft
-VERSION=${VERSION:-1.15.1}
+VERSION=${VERSION:-1.16.0}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:" -j4 "}
@@ -89,8 +90,8 @@ cd build
-DSYSCONF_INSTALL_DIR=/etc \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
..
- make $NUMJOBS || make || exit 1
- make install DESTDIR=$PKG || exit 1
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
cd -
# Add an example configuration file:
@@ -99,7 +100,7 @@ install -m0644 alsoftrc.sample $PKG/etc/openal/alsoft.conf.sample
# Add documentation:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a COPYING $PKG/usr/doc/$PKGNAM-$VERSION || true
+cp -a COPYING README env-vars.txt hrtf.txt $PKG/usr/doc/$PKGNAM-$VERSION || true
chown -R root:root $PKG/usr/doc/$PKGNAM-$VERSION
find $PKG/usr/doc -type f -exec chmod 644 {} \;
@@ -115,4 +116,3 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
/sbin/makepkg --linkadd y --chown n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
-